Package it.ernytech.tdlib

## Class TdApi.Audio

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Audio

Enclosing class:
  TdApi

    public static class TdApi.Audio
    extends TdApi.Object

Describes an audio file. Audio is usually in MP3 format.

### Field Summary

Fields
`TdApi.PhotoSize` `albumCoverThumbnail` The thumbnail of the album cover; as defined by the sender.
`TdApi.File` `audio` File containing the audio.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `duration` Duration of the audio, in seconds; as defined by the sender.
`java.lang.String` `fileName` Original name of the file; as defined by the sender.
`java.lang.String` `mimeType` The MIME type of the file; as defined by the sender.
`java.lang.String` `performer` Performer of the audio; as defined by the sender.
`java.lang.String` `title` Title of the audio; as defined by the sender.

### Constructor Summary

Constructors
`Audio()` Default constructor.
`Audio​(int duration, java.lang.String title, java.lang.String performer, java.lang.String fileName, java.lang.String mimeType, TdApi.PhotoSize albumCoverThumbnail, TdApi.File audio)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### duration

    public int duration

Duration of the audio, in seconds; as defined by the sender.

#### title

    public java.lang.String title

Title of the audio; as defined by the sender.

#### performer

    public java.lang.String performer

Performer of the audio; as defined by the sender.

#### fileName

    public java.lang.String fileName

Original name of the file; as defined by the sender.

#### mimeType

    public java.lang.String mimeType

The MIME type of the file; as defined by the sender.

#### albumCoverThumbnail

    public TdApi.PhotoSize albumCoverThumbnail

The thumbnail of the album cover; as defined by the sender. The full size thumbnail should be extracted from the downloaded file; may be null.

#### audio

    public TdApi.File audio

File containing the audio.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### Audio

    public Audio()

Default constructor.

#### Audio

    public Audio​(int duration,
                 java.lang.String title,
                 java.lang.String performer,
                 java.lang.String fileName,
                 java.lang.String mimeType,
                 TdApi.PhotoSize albumCoverThumbnail,
                 TdApi.File audio)

Constructor for initialization of all fields.

Parameters:
  `duration` - Duration of the audio, in seconds; as defined by the sender.
  `title` - Title of the audio; as defined by the sender.
  `performer` - Performer of the audio; as defined by the sender.
  `fileName` - Original name of the file; as defined by the sender.
  `mimeType` - The MIME type of the file; as defined by the sender.
  `albumCoverThumbnail` - The thumbnail of the album cover; as defined by the sender. The full size thumbnail should be extracted from the downloaded file; may be null.
  `audio` - File containing the audio.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR